• Impossible to install linux-rt-lts


    Hello everyone,
    I’m trying to install a realtime kernel. I launched the installation command

    pacman -S linux-rt-lts
    

    At an early stage of the process I get the following error (sorry if some parts appear in french… ) :

    CC       /tmp/yaourt-tmp-samuel/aur-linux-rt-lts/src/linux-4.9/tools/objtool/pager.o
    pager.c: Dans la fonction « pager_preexec »:
    pager.c:35:12: error: l'argument 2 est passé à un paramètre avec un qualificatif restrictif alors qu'il est également passé dans l'argument 4 [-Werror=restrict]
     select(1, &in, NULL, &in, NULL);
               ^~~        ~~~
    cc1 : tous les avertissements sont traités comme des erreurs
    mv: impossible d'Ă©valuer '/tmp/yaourt-tmp-samuel/aur-linux-rt-lts/src/linux-4.9/tools/objtool/.pager.o.tmp': Aucun fichier ou dossier de ce type
    make[4]: *** [/tmp/yaourt-tmp-samuel/aur-linux-rt-lts/src/linux-4.9/tools/build/Makefile.build:102: /tmp/yaourt-tmp-samuel/aur-linux-rt-lts/src/linux-4.9/tools/objtool/pager.o] Error 1
    make[3]: *** [Makefile:45: /tmp/yaourt-tmp-samuel/aur-linux-rt-lts/src/linux-4.9/tools/objtool/libsubcmd-in.o] Error 2
    make[2]: *** [Makefile:59: /tmp/yaourt-tmp-samuel/aur-linux-rt-lts/src/linux-4.9/tools/objtool/libsubcmd.a] Error 2
    make[1]: *** [Makefile:60: objtool] Error 2
    make: *** [Makefile:1623: tools/objtool] Error 2
    ==> ERREUR : Une erreur s’est produite dans prepare().
       Abandon…
    

    I am a beginner with Arch, henceforth I don’t manage to get along with simple problems alone… Any help will be much appreciated, and is likely to teach me a few ! Thank you in advance !

  • if you put LANG=C before any command output will be in english ;)

    But as it id a AUR PKGBUILD read at the source first:

    https://aur.archlinux.org/pkgbase/linux-rt-lts/?comments=all

  • @mrcaza said in Impossible to install linux-rt-lts:

    pacman -S linux-rt-lts

    thid command is not able to install a AUR Build:

    sudo pacman -S linux-rt-lts error: target not found: linux-rt-lts

  • Thank you for the languauge tip ! You’re right, I actually did execute

     yaourt -S linux-rt-lts
    

    Actually, I already looked at the source on the AUR. I found that you can add the option

    --disable-Werror
    

    into the “make config” in the function “prepare” of PKGBUILD so as the warning aren’t treated as errors. I did this, and I’m led with a new error, that relates to patches application :

    ==> Lancement de prepare()…
    patching file Documentation/ABI/testing/sysfs-devices-system-cpu
    patching file Documentation/arm64/silicon-errata.txt
    patching file Documentation/arm64/tagged-pointers.txt
    patching file Documentation/conf.py
    patching file Documentation/devicetree/bindings/arm/arch_timer.txt
    patching file Documentation/devicetree/bindings/clock/imx31-clock.txt
    patching file Documentation/devicetree/bindings/clock/qoriq-clock.txt
    The next patch would create the file Documentation/devicetree/bindings/display/bridge/ti,ths8135.txt,
    which already exists!  Assume -R?
  • @mrcaza said in Impossible to install linux-rt-lts:

    The next patch would create the file Documentation/devicetree/bindings/display/bridge/ti,ths8135.txt,
    which already exists! Assume -R?

    caused by first try to build…

  • @toni-martĂ­n your website is looking simple awesome đź‘Ť

impossible14 linux-rt-lts1 Posts 7Views 636
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.